package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLLimit;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowRelayLogEventsStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private SQLExpr logName;
   private SQLExpr from;
   private SQLLimit limit;

   public SQLExpr getLogName() {
      return this.logName;
   }

   public void setLogName(SQLExpr logName) {
      this.logName = logName;
   }

   public SQLExpr getFrom() {
      return this.from;
   }

   public void setFrom(SQLExpr from) {
      this.from = from;
   }

   public SQLLimit getLimit() {
      return this.limit;
   }

   public void setLimit(SQLLimit limit) {
      this.limit = limit;
   }

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.logName);
         this.acceptChild(visitor, this.from);
         this.acceptChild(visitor, this.limit);
      }

      visitor.endVisit(this);
   }
}
